Subject: [rohc] (no subject)

From: Tommy Lundemo <[email-masked]>
Date: Fri, 13 Jun 2003 10:57:33 +0200

Hi all!

Would it be useful to introduce means for the compressor to reject a mode 
change?
It seems like all the mode changes that requires the compressor to send an
IR/IR-DYN/UOR-2 packet could have used use the reserved bit pattern for
mode, to reject a mode change.

This could give more flexibility to ROHC implementations where either
O or R mode does not make sense to use.

Is there any specific reason why the compressor is not allowed to
have an opinion in the mode changing procedure?

Best Regards,
 Tommy Lundemo

-------------------------------------------
Effnet AB             http://www.effnet.com
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Ghyslain Pelletier <[email-masked]>
Date: Tue, 17 Jun 2003 08:33:11 +0200

Tommy Lundemo wrote:
> 
> Hi all!
> 
> Would it be useful to introduce means for the compressor to reject a
> mode change?

That's an interesting question. I am also of the opinion that it would
be useful to allow a compressor to decline a decompressor request for
a mode transition. Right now the way RFC-3095 is written, mode changes
are entirely a decompressor decision (why so?).

> It seems like all the mode changes that requires the compressor to
> send an IR/IR-DYN/UOR-2 packet could have used use the reserved bit
> pattern for mode, to reject a mode change.

This seems to be a potential approach. Some minor additional logic
would also have to be introduced with respect to the parameters
C_MODE, C_TRANS, D_MODE and D_TRANS of section 5.6.1 for the
relevant transitions. 

> This could give more flexibility to ROHC implementations where
> either O or R mode does not make sense to use.
> 
> Is there any specific reason why the compressor is not allowed
> to have an opinion in the mode changing procedure?
>
> Best Regards,
>  Tommy Lundemo
> 

Ghyslain Pelletier, Dipl. Ing.
Wireless IP Optimizations
AWARE - Advanced Wireless Algorithm Research
Ericsson Research, Corporate Unit

Ericsson AB, Laboratoriegränd 11
Box 920, S-97128 Luleå, SWEDEN
Phone : +46 (0) 920 20 24 32 
Mobile: +46 (0) 706 09 27 73
[email-masked]
http://www.ericsson.com
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc